/*******************************************************************************
 * Copyright (c) 2016 - 2020 Intel Corporation and others.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     Michael Sturm (Intel Corporation) - initial implementation.
 *******************************************************************************/
package org.eclipse.cdt.dsf.iss.mi.service.command;

import org.eclipse.cdt.dsf.mi.service.IMICommandControl;

public interface IIssMICommandControl extends IMICommandControl
{
	/**
	 * Returns a command factory that creates different<code>ICommand</code>
	 * to be sent to the backend.  This factory can easily be overridden
	 * to specialize certain commands.
	 */
	public IssCommandFactory getCommandFactory();
}
